/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(0)) => i64vec2(np.int64(-10)l, np.int64(-12)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(1)) => i64vec2(np.int64(-20)l, np.int64(-24)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(2)) => i64vec2(np.int64(-40)l, np.int64(-48)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(5)) => i64vec2(np.int64(-320)l, np.int64(-384)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(25)) => i64vec2(np.int64(-335544320)l, np.int64(-402653184)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(31)) => i64vec2(np.int64(-21474836480)l, np.int64(-25769803776)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(0)) => i64vec2(np.int64(-42)l, np.int64(48)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(1)) => i64vec2(np.int64(-84)l, np.int64(96)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(2)) => i64vec2(np.int64(-168)l, np.int64(192)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(5)) => i64vec2(np.int64(-1344)l, np.int64(1536)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(25)) => i64vec2(np.int64(-1409286144)l, np.int64(1610612736)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(31)) => i64vec2(np.int64(-90194313216)l, np.int64(103079215104)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(0)), i64vec2(np.int64(-10)l, np.int64(-12)l))) ? 1 : -1] array0;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(1)), i64vec2(np.int64(-20)l, np.int64(-24)l))) ? 1 : -1] array1;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(2)), i64vec2(np.int64(-40)l, np.int64(-48)l))) ? 1 : -1] array2;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(5)), i64vec2(np.int64(-320)l, np.int64(-384)l))) ? 1 : -1] array3;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(25)), i64vec2(np.int64(-335544320)l, np.int64(-402653184)l))) ? 1 : -1] array4;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << np.int32(31)), i64vec2(np.int64(-21474836480)l, np.int64(-25769803776)l))) ? 1 : -1] array5;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(0)), i64vec2(np.int64(-42)l, np.int64(48)l))) ? 1 : -1] array6;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(1)), i64vec2(np.int64(-84)l, np.int64(96)l))) ? 1 : -1] array7;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(2)), i64vec2(np.int64(-168)l, np.int64(192)l))) ? 1 : -1] array8;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(5)), i64vec2(np.int64(-1344)l, np.int64(1536)l))) ? 1 : -1] array9;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(25)), i64vec2(np.int64(-1409286144)l, np.int64(1610612736)l))) ? 1 : -1] array10;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << np.int32(31)), i64vec2(np.int64(-90194313216)l, np.int64(103079215104)l))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
