/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(3)l) => i64vec4(np.int64(0)l, np.int64(1)l, np.int64(1)l, np.int64(1)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(1048576)l) => i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(4251475)l) => i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(29852643761)l) => i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(3)l), i64vec4(np.int64(0)l, np.int64(1)l, np.int64(1)l, np.int64(1)l))) ? 1 : -1] array0;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(1048576)l), i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l))) ? 1 : -1] array1;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(4251475)l), i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l))) ? 1 : -1] array2;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) % np.int64(29852643761)l), i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
