/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * normalize(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-0.55640775), np.float32(0.4484984), np.float32(0.6508285), np.float32(0.2562848))
 * normalize(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(0.83288157), np.float32(-0.1561653), np.float32(-0.530962), np.float32(0.0))
 */
#version 120

void main()
{
  float[distance(normalize(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-0.55640775), np.float32(0.4484984), np.float32(0.6508285), np.float32(0.2562848))) <= np.float32(1e-05) ? 1 : -1] array0;
  float[distance(normalize(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(0.83288157), np.float32(-0.1561653), np.float32(-0.530962), np.float32(0.0))) <= np.float32(1e-05) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
