/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) + np.float32(0.0)) => np.float32(0.0)
 * (np.float32(0.0) + np.float32(-1.33)) => np.float32(-1.33)
 * (np.float32(0.0) + np.float32(0.85)) => np.float32(0.85)
 * (np.float32(-1.33) + np.float32(0.0)) => np.float32(-1.33)
 * (np.float32(-1.33) + np.float32(-1.33)) => np.float32(-2.66)
 * (np.float32(-1.33) + np.float32(0.85)) => np.float32(-0.48000002)
 * (np.float32(0.85) + np.float32(0.0)) => np.float32(0.85)
 * (np.float32(0.85) + np.float32(-1.33)) => np.float32(-0.48000002)
 * (np.float32(0.85) + np.float32(0.85)) => np.float32(1.7)
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) + np.float32(0.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) + np.float32(-1.33)), np.float32(-1.33)) <= np.float32(1.33e-05) ? 1 : -1] array1;
  float[distance((np.float32(0.0) + np.float32(0.85)), np.float32(0.85)) <= np.float32(8.5e-06) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) + np.float32(0.0)), np.float32(-1.33)) <= np.float32(1.33e-05) ? 1 : -1] array3;
  float[distance((np.float32(-1.33) + np.float32(-1.33)), np.float32(-2.66)) <= np.float32(2.66e-05) ? 1 : -1] array4;
  float[distance((np.float32(-1.33) + np.float32(0.85)), np.float32(-0.48000002)) <= np.float32(4.8e-06) ? 1 : -1] array5;
  float[distance((np.float32(0.85) + np.float32(0.0)), np.float32(0.85)) <= np.float32(8.5e-06) ? 1 : -1] array6;
  float[distance((np.float32(0.85) + np.float32(-1.33)), np.float32(-0.48000002)) <= np.float32(4.8e-06) ? 1 : -1] array7;
  float[distance((np.float32(0.85) + np.float32(0.85)), np.float32(1.7)) <= np.float32(1.7e-05) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
