/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec2(np.float32(-0.1), np.float32(-1.2)) + vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.2), np.float32(-2.4))
 * (vec2(np.float32(-0.1), np.float32(-1.2)) + vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.52), np.float32(-0.72))
 * (vec2(np.float32(-0.42), np.float32(0.48)) + vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.52), np.float32(-0.72))
 * (vec2(np.float32(-0.42), np.float32(0.48)) + vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.84), np.float32(0.96))
 */
#version 120

void main()
{
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) + vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.2), np.float32(-2.4))) <= np.float32(2.408319e-05) ? 1 : -1] array0;
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) + vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.52), np.float32(-0.72))) <= np.float32(8.881441e-06) ? 1 : -1] array1;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) + vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.52), np.float32(-0.72))) <= np.float32(8.881441e-06) ? 1 : -1] array2;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) + vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.84), np.float32(0.96))) <= np.float32(1.2756174e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
