/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))
 * (np.float32(0.0) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * (np.float32(-1.33) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(44.333336), np.float32(1.5647058), np.float32(1.4148936))
 * (np.float32(-1.33) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-0.7964072), np.float32(-2.0151515), np.float32(-0.71123))
 * (np.float32(0.85) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-28.333334), np.float32(-1.0), np.float32(-0.90425533))
 * (np.float32(0.85) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(0.50898206), np.float32(1.2878788), np.float32(0.45454547))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(44.333336), np.float32(1.5647058), np.float32(1.4148936))) <= np.float32(0.000443835) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-0.7964072), np.float32(-2.0151515), np.float32(-0.71123))) <= np.float32(2.2805587e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-28.333334), np.float32(-1.0), np.float32(-0.90425533))) <= np.float32(0.00028365394) ? 1 : -1] array4;
  float[distance((np.float32(0.85) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(0.50898206), np.float32(1.2878788), np.float32(0.45454547))) <= np.float32(1.4574999e-05) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
