/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-1.072), np.float32(1.047))
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.3072), np.float32(-1.1226))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(1.057), np.float32(-1.5400001))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.363), np.float32(1.26))
 */
#version 120

void main()
{
  float[distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-1.072), np.float32(1.047))) <= np.float32(1.4984636e-05) ? 1 : -1] array0;
  float[distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.3072), np.float32(-1.1226))) <= np.float32(1.1638739e-05) ? 1 : -1] array1;
  float[distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(1.057), np.float32(-1.5400001))) <= np.float32(1.8678462e-05) ? 1 : -1] array2;
  float[distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.363), np.float32(1.26))) <= np.float32(1.3112471e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
