/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec2(np.float32(-2.2827), np.float32(-1.0475))
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec2(np.float32(3.3458), np.float32(0.08510004))
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec2(np.float32(1.4928001), np.float32(0.95049995))
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec2(np.float32(-2.436), np.float32(-3.6516))
 */
#version 120

void main()
{
  float[distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec2(np.float32(-2.2827), np.float32(-1.0475))) <= np.float32(2.5115683e-05) ? 1 : -1] array0;
  float[distance((mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec2(np.float32(3.3458), np.float32(0.08510004))) <= np.float32(3.346882e-05) ? 1 : -1] array1;
  float[distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec2(np.float32(1.4928001), np.float32(0.95049995))) <= np.float32(1.769718e-05) ? 1 : -1] array2;
  float[distance((mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec2(np.float32(-2.436), np.float32(-3.6516))) <= np.float32(4.3895645e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
