/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(47), np.int32(-45), np.int32(91))
 * (np.int32(12) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(-41), np.int32(-45), np.int32(-85))
 * (np.int32(12) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(-56), np.int32(-66), np.int32(-73))
 * (np.int32(-6) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(-39), np.int32(37), np.int32(-83))
 * (np.int32(-6) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(33), np.int32(37), np.int32(93))
 * (np.int32(-6) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(62), np.int32(72), np.int32(65))
 * (np.int32(76) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(111), np.int32(-109), np.int32(27))
 * (np.int32(76) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(-105), np.int32(-109), np.int32(-21))
 * (np.int32(76) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(-120), np.int32(-2), np.int32(-9))
 * (np.int32(-32) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(-61), np.int32(63), np.int32(-73))
 * (np.int32(-32) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(59), np.int32(63), np.int32(71))
 * (np.int32(-32) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(36), np.int32(82), np.int32(91))
 * (np.int32(0) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))) => ivec3(np.int32(35), np.int32(-33), np.int32(87))
 * (np.int32(0) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))) => ivec3(np.int32(-37), np.int32(-33), np.int32(-89))
 * (np.int32(0) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))) => ivec3(np.int32(-60), np.int32(-78), np.int32(-69))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(47), np.int32(-45), np.int32(91)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(-41), np.int32(-45), np.int32(-85)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(-56), np.int32(-66), np.int32(-73)))) ? 1 : -1] array2;
  float[all(equal((np.int32(-6) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(-39), np.int32(37), np.int32(-83)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(33), np.int32(37), np.int32(93)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(62), np.int32(72), np.int32(65)))) ? 1 : -1] array5;
  float[all(equal((np.int32(76) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(111), np.int32(-109), np.int32(27)))) ? 1 : -1] array6;
  float[all(equal((np.int32(76) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(-105), np.int32(-109), np.int32(-21)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(-120), np.int32(-2), np.int32(-9)))) ? 1 : -1] array8;
  float[all(equal((np.int32(-32) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(-61), np.int32(63), np.int32(-73)))) ? 1 : -1] array9;
  float[all(equal((np.int32(-32) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(59), np.int32(63), np.int32(71)))) ? 1 : -1] array10;
  float[all(equal((np.int32(-32) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(36), np.int32(82), np.int32(91)))) ? 1 : -1] array11;
  float[all(equal((np.int32(0) ^ (~ ivec3(np.int32(-36), np.int32(32), np.int32(-88)))), ivec3(np.int32(35), np.int32(-33), np.int32(87)))) ? 1 : -1] array12;
  float[all(equal((np.int32(0) ^ (~ ivec3(np.int32(36), np.int32(32), np.int32(88)))), ivec3(np.int32(-37), np.int32(-33), np.int32(-89)))) ? 1 : -1] array13;
  float[all(equal((np.int32(0) ^ (~ ivec3(np.int32(59), np.int32(77), np.int32(68)))), ivec3(np.int32(-60), np.int32(-78), np.int32(-69)))) ? 1 : -1] array14;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
