/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u / uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(0)u / uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(6)u / uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(6)u / uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(12)u / uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(12)u / uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(0)u, np.uint32(1)u)
 * (np.uint32(32)u / uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(32)u / uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(0)u, np.uint32(3)u)
 * (np.uint32(74)u / uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(1)u, np.uint32(2)u)
 * (np.uint32(74)u / uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(1)u, np.uint32(8)u)
 */
#version 130

void main()
{
  float[all(equal((np.uint32(0)u / uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((np.uint32(0)u / uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array1;
  float[all(equal((np.uint32(6)u / uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array2;
  float[all(equal((np.uint32(6)u / uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array3;
  float[all(equal((np.uint32(12)u / uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array4;
  float[all(equal((np.uint32(12)u / uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(0)u, np.uint32(1)u))) ? 1 : -1] array5;
  float[all(equal((np.uint32(32)u / uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array6;
  float[all(equal((np.uint32(32)u / uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(0)u, np.uint32(3)u))) ? 1 : -1] array7;
  float[all(equal((np.uint32(74)u / uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(1)u, np.uint32(2)u))) ? 1 : -1] array8;
  float[all(equal((np.uint32(74)u / uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(1)u, np.uint32(8)u))) ? 1 : -1] array9;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
