/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << uvec2(np.uint32(13)u, np.uint32(26)u)) => uvec2(np.uint32(106496)u, np.uint32(1744830464)u)
 * (uvec2(np.uint32(13)u, np.uint32(26)u) << uvec2(np.uint32(2)u, np.uint32(26)u)) => uvec2(np.uint32(52)u, np.uint32(1744830464)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << uvec2(np.uint32(13)u, np.uint32(26)u)) => uvec2(np.uint32(16384)u, np.uint32(1744830464)u)
 * (uvec2(np.uint32(2)u, np.uint32(26)u) << uvec2(np.uint32(2)u, np.uint32(26)u)) => uvec2(np.uint32(8)u, np.uint32(1744830464)u)
 */
#version 130

void main()
{
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << uvec2(np.uint32(13)u, np.uint32(26)u)), uvec2(np.uint32(106496)u, np.uint32(1744830464)u))) ? 1 : -1] array0;
  float[all(equal((uvec2(np.uint32(13)u, np.uint32(26)u) << uvec2(np.uint32(2)u, np.uint32(26)u)), uvec2(np.uint32(52)u, np.uint32(1744830464)u))) ? 1 : -1] array1;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << uvec2(np.uint32(13)u, np.uint32(26)u)), uvec2(np.uint32(16384)u, np.uint32(1744830464)u))) ? 1 : -1] array2;
  float[all(equal((uvec2(np.uint32(2)u, np.uint32(26)u) << uvec2(np.uint32(2)u, np.uint32(26)u)), uvec2(np.uint32(8)u, np.uint32(1744830464)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
