/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(0)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (np.uint32(6)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(396)u, np.uint32(432)u, np.uint32(522)u, np.uint32(450)u)
 * (np.uint32(6)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(144)u, np.uint32(240)u, np.uint32(138)u, np.uint32(444)u)
 * (np.uint32(12)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(792)u, np.uint32(864)u, np.uint32(1044)u, np.uint32(900)u)
 * (np.uint32(12)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(288)u, np.uint32(480)u, np.uint32(276)u, np.uint32(888)u)
 * (np.uint32(32)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(2112)u, np.uint32(2304)u, np.uint32(2784)u, np.uint32(2400)u)
 * (np.uint32(32)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(768)u, np.uint32(1280)u, np.uint32(736)u, np.uint32(2368)u)
 * (np.uint32(74)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => uvec4(np.uint32(4884)u, np.uint32(5328)u, np.uint32(6438)u, np.uint32(5550)u)
 * (np.uint32(74)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => uvec4(np.uint32(1776)u, np.uint32(2960)u, np.uint32(1702)u, np.uint32(5476)u)
 */
#version 130

void main()
{
  float[all(equal((np.uint32(0)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((np.uint32(0)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array1;
  float[all(equal((np.uint32(6)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(396)u, np.uint32(432)u, np.uint32(522)u, np.uint32(450)u))) ? 1 : -1] array2;
  float[all(equal((np.uint32(6)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(144)u, np.uint32(240)u, np.uint32(138)u, np.uint32(444)u))) ? 1 : -1] array3;
  float[all(equal((np.uint32(12)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(792)u, np.uint32(864)u, np.uint32(1044)u, np.uint32(900)u))) ? 1 : -1] array4;
  float[all(equal((np.uint32(12)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(288)u, np.uint32(480)u, np.uint32(276)u, np.uint32(888)u))) ? 1 : -1] array5;
  float[all(equal((np.uint32(32)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(2112)u, np.uint32(2304)u, np.uint32(2784)u, np.uint32(2400)u))) ? 1 : -1] array6;
  float[all(equal((np.uint32(32)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(768)u, np.uint32(1280)u, np.uint32(736)u, np.uint32(2368)u))) ? 1 : -1] array7;
  float[all(equal((np.uint32(74)u * uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)), uvec4(np.uint32(4884)u, np.uint32(5328)u, np.uint32(6438)u, np.uint32(5550)u))) ? 1 : -1] array8;
  float[all(equal((np.uint32(74)u * uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)), uvec4(np.uint32(1776)u, np.uint32(2960)u, np.uint32(1702)u, np.uint32(5476)u))) ? 1 : -1] array9;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
