/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * atan(np.float32(0.0)) => np.float32(0.0)
 * atan(np.float32(1e-10)) => np.float32(1e-10)
 * atan(np.float32(-1e-10)) => np.float32(-1e-10)
 * atan(np.float32(0.1)) => np.float32(0.09966865)
 * atan(np.float32(-0.1)) => np.float32(-0.09966865)
 * atan(np.float32(1.0)) => np.float32(0.7853982)
 * atan(np.float32(-1.0)) => np.float32(-0.7853982)
 * atan(np.float32(10.0)) => np.float32(1.4711276)
 * atan(np.float32(-10.0)) => np.float32(-1.4711276)
 * atan(np.float32(10000000000.0)) => np.float32(1.5707964)
 * atan(np.float32(-10000000000.0)) => np.float32(-1.5707964)
 */
#version 150

void main()
{
  float[distance(atan(np.float32(0.0)), np.float32(0.0)) <= np.float32(1e-04) ? 1 : -1] array0;
  float[distance(atan(np.float32(1e-10)), np.float32(1e-10)) <= np.float32(1e-04) ? 1 : -1] array1;
  float[distance(atan(np.float32(-1e-10)), np.float32(-1e-10)) <= np.float32(1e-04) ? 1 : -1] array2;
  float[distance(atan(np.float32(0.1)), np.float32(0.09966865)) <= np.float32(1e-04) ? 1 : -1] array3;
  float[distance(atan(np.float32(-0.1)), np.float32(-0.09966865)) <= np.float32(1e-04) ? 1 : -1] array4;
  float[distance(atan(np.float32(1.0)), np.float32(0.7853982)) <= np.float32(0.0007853982) ? 1 : -1] array5;
  float[distance(atan(np.float32(-1.0)), np.float32(-0.7853982)) <= np.float32(0.0007853982) ? 1 : -1] array6;
  float[distance(atan(np.float32(10.0)), np.float32(1.4711276)) <= np.float32(0.0014711276) ? 1 : -1] array7;
  float[distance(atan(np.float32(-10.0)), np.float32(-1.4711276)) <= np.float32(0.0014711276) ? 1 : -1] array8;
  float[distance(atan(np.float32(10000000000.0)), np.float32(1.5707964)) <= np.float32(0.0015707964) ? 1 : -1] array9;
  float[distance(atan(np.float32(-10000000000.0)), np.float32(-1.5707964)) <= np.float32(0.0015707964) ? 1 : -1] array10;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length());
}
