/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * log(np.float32(0.01)) => np.float32(-4.6051702)
 * log(np.float32(0.67333335)) => np.float32(-0.39551476)
 * log(np.float32(1.3366667)) => np.float32(0.29017898)
 * log(np.float32(2.0)) => np.float32(0.6931472)
 */
#version 150

void main()
{
  float[distance(log(np.float32(0.01)), np.float32(-4.6051702)) <= np.float32(4.60517e-05) ? 1 : -1] array0;
  float[distance(log(np.float32(0.67333335)), np.float32(-0.39551476)) <= np.float32(3.9551473e-06) ? 1 : -1] array1;
  float[distance(log(np.float32(1.3366667)), np.float32(0.29017898)) <= np.float32(2.90179e-06) ? 1 : -1] array2;
  float[distance(log(np.float32(2.0)), np.float32(0.6931472)) <= np.float32(6.931472e-06) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
