/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * fract(np.float64(-2.0)lf) => np.float64(0.0)lf
 * fract(np.float64(-0.6666666666666667)lf) => np.float64(0.33333333333333326)lf
 * fract(np.float64(0.6666666666666665)lf) => np.float64(0.6666666666666665)lf
 * fract(np.float64(2.0)lf) => np.float64(0.0)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(fract(np.float64(-2.0)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[distance(fract(np.float64(-0.6666666666666667)lf), np.float64(0.33333333333333326)lf) <= np.float64(3.333333333333333e-06)lf ? 1 : -1] array1;
  double[distance(fract(np.float64(0.6666666666666665)lf), np.float64(0.6666666666666665)lf) <= np.float64(6.666666666666666e-06)lf ? 1 : -1] array2;
  double[distance(fract(np.float64(2.0)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
