/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(20)ul) => u64vec3(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul)
 * min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(20)ul) => u64vec3(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul)
 * min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(43)ul) => u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(43)ul)
 * min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(43)ul) => u64vec3(np.uint64(43)ul, np.uint64(20)ul, np.uint64(43)ul)
 * min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(66)ul) => u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul)
 * min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(66)ul) => u64vec3(np.uint64(66)ul, np.uint64(20)ul, np.uint64(43)ul)
 * min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(90)ul) => u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul)
 * min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(90)ul) => u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal(min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(20)ul), u64vec3(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul))) ? 1 : -1] array0;
  float[all(equal(min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(20)ul), u64vec3(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul))) ? 1 : -1] array1;
  float[all(equal(min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(43)ul), u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(43)ul))) ? 1 : -1] array2;
  float[all(equal(min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(43)ul), u64vec3(np.uint64(43)ul, np.uint64(20)ul, np.uint64(43)ul))) ? 1 : -1] array3;
  float[all(equal(min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(66)ul), u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul))) ? 1 : -1] array4;
  float[all(equal(min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(66)ul), u64vec3(np.uint64(66)ul, np.uint64(20)ul, np.uint64(43)ul))) ? 1 : -1] array5;
  float[all(equal(min(u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul), np.uint64(90)ul), u64vec3(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul))) ? 1 : -1] array6;
  float[all(equal(min(u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul), np.uint64(90)ul), u64vec3(np.uint64(90)ul, np.uint64(20)ul, np.uint64(43)ul))) ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
