/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)) => i64vec3(np.int64(-18948)l, np.int64(0)l, np.int64(94)l)
 * (i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)) => i64vec3(np.int64(-297)l, np.int64(0)l, np.int64(2)l)
 * (i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)) => i64vec3(np.int64(0)l, np.int64(0)l, np.int64(187)l)
 * (i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)) => i64vec3(np.int64(0)l, np.int64(0)l, np.int64(5)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)), i64vec3(np.int64(-18948)l, np.int64(0)l, np.int64(94)l))) ? 1 : -1] array0;
  float[all(equal((i64vec3(np.int64(-1333333333333333259)l, np.int64(85)l, np.int64(94)l) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)), i64vec3(np.int64(-297)l, np.int64(0)l, np.int64(2)l))) ? 1 : -1] array1;
  float[all(equal((i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)), i64vec3(np.int64(0)l, np.int64(0)l, np.int64(187)l))) ? 1 : -1] array2;
  float[all(equal((i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)), i64vec3(np.int64(0)l, np.int64(0)l, np.int64(5)l))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
