/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sign(np.int64(-15)l) => np.int64(-1)l
 * sign(np.int64(-7)l) => np.int64(-1)l
 * sign(np.int64(0)l) => np.int64(0)l
 * sign(np.int64(7)l) => np.int64(1)l
 * sign(np.int64(15)l) => np.int64(1)l
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[sign(np.int64(-15)l) == np.int64(-1)l ? 1 : -1] array0;
  float[sign(np.int64(-7)l) == np.int64(-1)l ? 1 : -1] array1;
  float[sign(np.int64(0)l) == np.int64(0)l ? 1 : -1] array2;
  float[sign(np.int64(7)l) == np.int64(1)l ? 1 : -1] array3;
  float[sign(np.int64(15)l) == np.int64(1)l ? 1 : -1] array4;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
