/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) == mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => true
 * (mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) == mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => false
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) == mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => false
 * (mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) == mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => true
 */
#version 120

void main()
{
  float[(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) == mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) == true ? 1 : -1] array0;
  float[(mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)) == mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) == false ? 1 : -1] array1;
  float[(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) == mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) == false ? 1 : -1] array2;
  float[(mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)) == mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) == true ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
