/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(0)u) => uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(1)u) => uvec4(np.uint32(32)u, np.uint32(48)u, np.uint32(46)u, np.uint32(50)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(2)u) => uvec4(np.uint32(64)u, np.uint32(96)u, np.uint32(92)u, np.uint32(100)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(5)u) => uvec4(np.uint32(512)u, np.uint32(768)u, np.uint32(736)u, np.uint32(800)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(25)u) => uvec4(np.uint32(536870912)u, np.uint32(805306368)u, np.uint32(771751936)u, np.uint32(838860800)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(31)u) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(2147483648)u, np.uint32(2147483648)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(0)u) => uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(1)u) => uvec4(np.uint32(46)u, np.uint32(24)u, np.uint32(28)u, np.uint32(38)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(2)u) => uvec4(np.uint32(92)u, np.uint32(48)u, np.uint32(56)u, np.uint32(76)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(5)u) => uvec4(np.uint32(736)u, np.uint32(384)u, np.uint32(448)u, np.uint32(608)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(25)u) => uvec4(np.uint32(771751936)u, np.uint32(402653184)u, np.uint32(469762048)u, np.uint32(637534208)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(31)u) => uvec4(np.uint32(2147483648)u, np.uint32(0)u, np.uint32(0)u, np.uint32(2147483648)u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(0)u), uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(1)u), uvec4(np.uint32(32)u, np.uint32(48)u, np.uint32(46)u, np.uint32(50)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(2)u), uvec4(np.uint32(64)u, np.uint32(96)u, np.uint32(92)u, np.uint32(100)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(5)u), uvec4(np.uint32(512)u, np.uint32(768)u, np.uint32(736)u, np.uint32(800)u))) ? 1 : -1] array3;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(25)u), uvec4(np.uint32(536870912)u, np.uint32(805306368)u, np.uint32(771751936)u, np.uint32(838860800)u))) ? 1 : -1] array4;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) << np.uint32(31)u), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(2147483648)u, np.uint32(2147483648)u))) ? 1 : -1] array5;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(0)u), uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u))) ? 1 : -1] array6;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(1)u), uvec4(np.uint32(46)u, np.uint32(24)u, np.uint32(28)u, np.uint32(38)u))) ? 1 : -1] array7;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(2)u), uvec4(np.uint32(92)u, np.uint32(48)u, np.uint32(56)u, np.uint32(76)u))) ? 1 : -1] array8;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(5)u), uvec4(np.uint32(736)u, np.uint32(384)u, np.uint32(448)u, np.uint32(608)u))) ? 1 : -1] array9;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(25)u), uvec4(np.uint32(771751936)u, np.uint32(402653184)u, np.uint32(469762048)u, np.uint32(637534208)u))) ? 1 : -1] array10;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) << np.uint32(31)u), uvec4(np.uint32(2147483648)u, np.uint32(0)u, np.uint32(0)u, np.uint32(2147483648)u))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
