/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(12))) => ivec2(np.int32(-43), np.int32(-48))
 * (ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(-6))) => ivec2(np.int32(35), np.int32(38))
 * (ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(76))) => ivec2(np.int32(-107), np.int32(-112))
 * (ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(-32))) => ivec2(np.int32(57), np.int32(60))
 * (ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(0))) => ivec2(np.int32(-39), np.int32(-36))
 * (ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(12))) => ivec2(np.int32(-77), np.int32(4))
 * (ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(-6))) => ivec2(np.int32(69), np.int32(-14))
 * (ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(76))) => ivec2(np.int32(-13), np.int32(68))
 * (ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(-32))) => ivec2(np.int32(95), np.int32(-24))
 * (ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(0))) => ivec2(np.int32(-65), np.int32(8))
 * (ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(12))) => ivec2(np.int32(-77), np.int32(-6))
 * (ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(-6))) => ivec2(np.int32(69), np.int32(12))
 * (ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(76))) => ivec2(np.int32(-13), np.int32(-70))
 * (ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(-32))) => ivec2(np.int32(95), np.int32(22))
 * (ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(0))) => ivec2(np.int32(-65), np.int32(-10))
 */
#version 150

void main()
{
  float[all(equal((ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(12))), ivec2(np.int32(-43), np.int32(-48)))) ? 1 : -1] array0;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(-6))), ivec2(np.int32(35), np.int32(38)))) ? 1 : -1] array1;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(76))), ivec2(np.int32(-107), np.int32(-112)))) ? 1 : -1] array2;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(-32))), ivec2(np.int32(57), np.int32(60)))) ? 1 : -1] array3;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) ^ (~ np.int32(0))), ivec2(np.int32(-39), np.int32(-36)))) ? 1 : -1] array4;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(12))), ivec2(np.int32(-77), np.int32(4)))) ? 1 : -1] array5;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(-6))), ivec2(np.int32(69), np.int32(-14)))) ? 1 : -1] array6;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(76))), ivec2(np.int32(-13), np.int32(68)))) ? 1 : -1] array7;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(-32))), ivec2(np.int32(95), np.int32(-24)))) ? 1 : -1] array8;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) ^ (~ np.int32(0))), ivec2(np.int32(-65), np.int32(8)))) ? 1 : -1] array9;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(12))), ivec2(np.int32(-77), np.int32(-6)))) ? 1 : -1] array10;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(-6))), ivec2(np.int32(69), np.int32(12)))) ? 1 : -1] array11;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(76))), ivec2(np.int32(-13), np.int32(-70)))) ? 1 : -1] array12;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(-32))), ivec2(np.int32(95), np.int32(22)))) ? 1 : -1] array13;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) ^ (~ np.int32(0))), ivec2(np.int32(-65), np.int32(-10)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
