/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(1296), np.int32(1024), np.int32(7744))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(-1296), np.int32(1024), np.int32(-7744))
 * (ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(-2124), np.int32(2464), np.int32(-5984))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-1296), np.int32(1024), np.int32(-7744))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(1296), np.int32(1024), np.int32(7744))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(2124), np.int32(2464), np.int32(5984))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))) => ivec3(np.int32(-2124), np.int32(2464), np.int32(-5984))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(36), np.int32(32), np.int32(88))) => ivec3(np.int32(2124), np.int32(2464), np.int32(5984))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(59), np.int32(77), np.int32(68))) => ivec3(np.int32(3481), np.int32(5929), np.int32(4624))
 */
#version 150

void main()
{
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(1296), np.int32(1024), np.int32(7744)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(-1296), np.int32(1024), np.int32(-7744)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(-36), np.int32(32), np.int32(-88)) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(-2124), np.int32(2464), np.int32(-5984)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-1296), np.int32(1024), np.int32(-7744)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(1296), np.int32(1024), np.int32(7744)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(2124), np.int32(2464), np.int32(5984)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(-36), np.int32(32), np.int32(-88))), ivec3(np.int32(-2124), np.int32(2464), np.int32(-5984)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(36), np.int32(32), np.int32(88))), ivec3(np.int32(2124), np.int32(2464), np.int32(5984)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) * ivec3(np.int32(59), np.int32(77), np.int32(68))), ivec3(np.int32(3481), np.int32(5929), np.int32(4624)))) ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
