/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.1), np.float32(-1.2))) => mat2(np.float32(0.010000001), np.float32(0.120000005), np.float32(0.120000005), np.float32(1.44))
 * outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.42), np.float32(0.48))) => mat2(np.float32(0.042), np.float32(0.504), np.float32(-0.048), np.float32(-0.57600003))
 * outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.1), np.float32(-1.2))) => mat2(np.float32(0.042), np.float32(-0.048), np.float32(0.504), np.float32(-0.57600003))
 * outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.42), np.float32(0.48))) => mat2(np.float32(0.17639999), np.float32(-0.20159999), np.float32(-0.20159999), np.float32(0.2304))
 */
#version 150

void main()
{
  float[pow(distance(outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.1), np.float32(-1.2)))[0], vec2(np.float32(0.010000001), np.float32(0.120000005))), 2) + pow(distance(outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.1), np.float32(-1.2)))[1], vec2(np.float32(0.120000005), np.float32(1.44))), 2) <= np.float32(2.1025004e-10) ? 1 : -1] array0;
  float[pow(distance(outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.42), np.float32(0.48)))[0], vec2(np.float32(0.042), np.float32(0.504))), 2) + pow(distance(outerProduct(vec2(np.float32(-0.1), np.float32(-1.2)), vec2(np.float32(-0.42), np.float32(0.48)))[1], vec2(np.float32(-0.048), np.float32(-0.57600003))), 2) <= np.float32(5.8986e-11) ? 1 : -1] array1;
  float[pow(distance(outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.1), np.float32(-1.2)))[0], vec2(np.float32(0.042), np.float32(-0.048))), 2) + pow(distance(outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.1), np.float32(-1.2)))[1], vec2(np.float32(0.504), np.float32(-0.57600003))), 2) <= np.float32(5.8986e-11) ? 1 : -1] array2;
  float[pow(distance(outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.42), np.float32(0.48)))[0], vec2(np.float32(0.17639999), np.float32(-0.20159999))), 2) + pow(distance(outerProduct(vec2(np.float32(-0.42), np.float32(0.48)), vec2(np.float32(-0.42), np.float32(0.48)))[1], vec2(np.float32(-0.20159999), np.float32(0.2304))), 2) <= np.float32(1.6548622e-11) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
