/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(0.010000000000000002)lf, np.float64(1.44)lf)
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.042)lf, np.float64(-0.576)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(0.042)lf, np.float64(-0.576)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.17639999999999997)lf, np.float64(0.2304)lf)
 */
#version 400

void main()
{
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(0.010000000000000002)lf, np.float64(1.44)lf)) <= np.float64(1.44003472180361e-05)lf ? 1 : -1] array0;
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.042)lf, np.float64(-0.576)lf)) <= np.float64(5.775292200399907e-06)lf ? 1 : -1] array1;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(0.042)lf, np.float64(-0.576)lf)) <= np.float64(5.775292200399907e-06)lf ? 1 : -1] array2;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.17639999999999997)lf, np.float64(0.2304)lf)) <= np.float64(2.901742924519676e-06)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
