/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf)) => dmat4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 * (dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf)) => dmat4(np.float64(-1.06)lf, np.float64(0.16999999999999993)lf, np.float64(-1.16)lf, np.float64(-0.75)lf, np.float64(-1.86)lf, np.float64(0.94)lf, np.float64(-1.16)lf, np.float64(-2.27)lf, np.float64(-2.6)lf, np.float64(-0.030000000000000027)lf, np.float64(-3.29)lf, np.float64(-0.5499999999999999)lf, np.float64(3.75)lf, np.float64(0.49)lf, np.float64(-0.49)lf, np.float64(0.32999999999999996)lf)
 * (dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf)) => dmat4(np.float64(1.06)lf, np.float64(-0.16999999999999993)lf, np.float64(1.16)lf, np.float64(0.75)lf, np.float64(1.86)lf, np.float64(-0.94)lf, np.float64(1.16)lf, np.float64(2.27)lf, np.float64(2.6)lf, np.float64(0.030000000000000027)lf, np.float64(3.29)lf, np.float64(0.5499999999999999)lf, np.float64(-3.75)lf, np.float64(-0.49)lf, np.float64(0.49)lf, np.float64(-0.32999999999999996)lf)
 * (dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf)) => dmat4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[3], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[3], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[(distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[0], dvec4(np.float64(-1.06)lf, np.float64(0.16999999999999993)lf, np.float64(-1.16)lf, np.float64(-0.75)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[0], dvec4(np.float64(-1.06)lf, np.float64(0.16999999999999993)lf, np.float64(-1.16)lf, np.float64(-0.75)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[1], dvec4(np.float64(-1.86)lf, np.float64(0.94)lf, np.float64(-1.16)lf, np.float64(-2.27)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[1], dvec4(np.float64(-1.86)lf, np.float64(0.94)lf, np.float64(-1.16)lf, np.float64(-2.27)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[2], dvec4(np.float64(-2.6)lf, np.float64(-0.030000000000000027)lf, np.float64(-3.29)lf, np.float64(-0.5499999999999999)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[2], dvec4(np.float64(-2.6)lf, np.float64(-0.030000000000000027)lf, np.float64(-3.29)lf, np.float64(-0.5499999999999999)lf))) + (distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[3], dvec4(np.float64(3.75)lf, np.float64(0.49)lf, np.float64(-0.49)lf, np.float64(0.32999999999999996)lf)) * distance((dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[3], dvec4(np.float64(3.75)lf, np.float64(0.49)lf, np.float64(-0.49)lf, np.float64(0.32999999999999996)lf))) <= np.float64(4.644140000000001e-09)lf ? 1 : -1] array1;
  double[(distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[0], dvec4(np.float64(1.06)lf, np.float64(-0.16999999999999993)lf, np.float64(1.16)lf, np.float64(0.75)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[0], dvec4(np.float64(1.06)lf, np.float64(-0.16999999999999993)lf, np.float64(1.16)lf, np.float64(0.75)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[1], dvec4(np.float64(1.86)lf, np.float64(-0.94)lf, np.float64(1.16)lf, np.float64(2.27)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[1], dvec4(np.float64(1.86)lf, np.float64(-0.94)lf, np.float64(1.16)lf, np.float64(2.27)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[2], dvec4(np.float64(2.6)lf, np.float64(0.030000000000000027)lf, np.float64(3.29)lf, np.float64(0.5499999999999999)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[2], dvec4(np.float64(2.6)lf, np.float64(0.030000000000000027)lf, np.float64(3.29)lf, np.float64(0.5499999999999999)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[3], dvec4(np.float64(-3.75)lf, np.float64(-0.49)lf, np.float64(0.49)lf, np.float64(-0.32999999999999996)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(-1.0)lf, np.float64(1.77)lf, np.float64(0.09)lf, np.float64(-0.91)lf, np.float64(-0.55)lf, np.float64(0.62)lf, np.float64(-0.71)lf, np.float64(-1.82)lf, np.float64(-1.08)lf, np.float64(0.48)lf, np.float64(-1.39)lf, np.float64(-1.43)lf, np.float64(1.79)lf, np.float64(-1.35)lf, np.float64(-1.21)lf, np.float64(0.72)lf))[3], dvec4(np.float64(-3.75)lf, np.float64(-0.49)lf, np.float64(0.49)lf, np.float64(-0.32999999999999996)lf))) <= np.float64(4.644140000000001e-09)lf ? 1 : -1] array2;
  double[(distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[3], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf) - dmat4(np.float64(0.06)lf, np.float64(1.6)lf, np.float64(1.25)lf, np.float64(-0.16)lf, np.float64(1.31)lf, np.float64(-0.32)lf, np.float64(0.45)lf, np.float64(0.45)lf, np.float64(1.52)lf, np.float64(0.51)lf, np.float64(1.9)lf, np.float64(-0.88)lf, np.float64(-1.96)lf, np.float64(-1.84)lf, np.float64(-0.72)lf, np.float64(0.39)lf))[3], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
